%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate itertools

Name:           rust-itertools
Version:        0.13.0
Release:    2%{?dist}
Summary:        Extra iterator adaptors, iterator methods, free functions, and macros

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/itertools
Source0:         %{crates_source}
Patch:          itertools-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Extra iterator adaptors, iterator methods, free functions, and macros.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "use_alloc" feature of the "%{crate}" crate.

%files       -n %{name}+use_alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages which
use the "use_std" feature of the "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --exact --skip combinations_inexact_size_hints
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.13.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-1
- initial build
